const require_DidCommFeaturesDisclosuresMessage = require('../messages/DidCommFeaturesDisclosuresMessage.js');
require('../messages/index.js');

//#region ../didcomm/src/modules/discover-features/protocol/v2/handlers/DidCommFeaturesDisclosuresMessageHandler.ts
var DidCommFeaturesDisclosuresMessageHandler = class {
	constructor(discoverFeaturesService) {
		this.supportedMessages = [require_DidCommFeaturesDisclosuresMessage.DidCommFeaturesDisclosuresMessage];
		this.discoverFeaturesService = discoverFeaturesService;
	}
	async handle(inboundMessage) {
		await this.discoverFeaturesService.processDisclosure(inboundMessage);
	}
};

//#endregion
exports.DidCommFeaturesDisclosuresMessageHandler = DidCommFeaturesDisclosuresMessageHandler;